<form [formGroup]="form" (submit)="send()">

    <input
    *mrFormControl
    mrFormControlValidation
    placeholder="Nombre de usuario"
    class="bordered"
    type="text"
    formControlName="username">

    <input
    *mrFormControl
    mrFormControlValidation
    placeholder="Ingresa tu email"
    class="bordered"
    type="email"
    formControlName="email">

    <input
    *mrFormControl
    mrFormControlValidation
    placeholder="Contraseña"
    class="bordered"
    type="password"
    formControlName="password">

    <button mr-button
    type="submit"
    class="secondary"
    [loading]="loading$ | async">Registrarse</button>

    <p class="form-switcher">
        Si ya estás registrado, <a routerLink="/auth/login">Inicia sesión</a></p>

</form>
